
/*** Includes & general settings ***/
#version 3.1;
global_settings { assumed_gamma 2.2 }  

#include "shapes.inc"
#include "glass.inc"
#include "colors.inc"	// Standard Color definitions
#include "textures.inc"	// Standard Texture definitions

// ==== Additional Includes ====
#include "CHARS.INC"   // FIXME-add comments describing each of these
#include "CONSTS.INC"
#include "METALS.INC"
#include "SHAPES.INC"
#include "SHAPES2.INC"
#include "SHAPESQ.INC"
#include "SKIES.INC"
#include "STONES.INC"
#include "STONES2.INC"
#include "WOODMAPS.INC"
#include "WOODS.INC"

/*************************************************/
/* FC includes */
#include "fc_inc\textures.inc"

/*************************************************/
/* Camera & lights */

//#declare cx = 10
//#declare cy = 10
//#declare cz = 10

//#declare Cam_location_vec = <cx, cy, cz>
//#declare Cam_look_at_vec = <0, 0, 0>
//#declare Zoom = 3
//#declare light_location_vec = <cx, cy, cz>
//#declare G_debug = 0
//#declare G_debug_L = 20
//#declare G_debug_R = 0.3


camera {
        //cylinder 2
        location Cam_location_vec
        direction <0,0,Zoom>        
        look_at Cam_look_at_vec
       }

light_source { light_location_vec colour rgb 1  }


/*** Coordinate System ***/
#if (G_debug)

  /* X */
  cylinder {<0, 0, 0>, <G_debug_L, 0, 0> G_debug_R  pigment{rgb<0, 1, 0>}}
  /* Y */
  cylinder {<0, 0, 0>, <0, G_debug_L, 0> G_debug_R  pigment{rgb<1, 0, 0>}}
  /* Z */
  cylinder {<0, 0, 0>, <0, 0, G_debug_L> G_debug_R  pigment{rgb<1, 1, 0>}}

  #declare CountC = 9;
  #declare Ic = 0;
  #while ( Ic <= CountC )
         /* X */ 
         cylinder {<0, 0, 0>, <G_debug_L/20, 0, 0> G_debug_R*1.1  pigment{rgb<1, 1, 1>}
         translate<G_debug_L/10*Ic,0,0>
         }
         /* Y */
         cylinder {<0, 0, 0>, <0, G_debug_L/20, 0> G_debug_R*1.1  pigment{rgb<1, 1, 1>}
         translate<0,G_debug_L/10*Ic,0>
         }         
         /* Z */
         cylinder {<0, 0, 0>, <0, 0, G_debug_L/20> G_debug_R*1.1  pigment{rgb<0, 0, 0>}
         translate<0, 0, G_debug_L/10*Ic>
         }
  #declare Ic = Ic + 1;
  #end

#else
#end


/*
#declare Count = 8
#declare I = 0
#while ( I <= Count )


#declare I = I + 1
#end
*/











